org.appng.core.controller.messaging

## Class RabbitMQSender

- java.lang.Object
- - org.appng.core.controller.messaging.RabbitMQBase
  - - org.appng.core.controller.messaging.RabbitMQSender

- All Implemented Interfaces:
    Closeable, AutoCloseable, Sender

      public class RabbitMQSender
      extends RabbitMQBase
      implements Sender

  Message sender implementing `Sender` to use a RabbitMQ message broker. See `RabbitMQReceiver` for configuration details.
  Author:
    Claus Stümke, aiticon GmbH, 2015, Matthias Müller
  See Also:
    `RabbitMQReceiver`

- - ### Field Summary

    - ### Fields inherited from class org.appng.core.controller.messaging.RabbitMQBase

      `addresses, channel, connection, eventSerializer, exchange, factory, password, RABBIT_MQ_ADRESSES, RABBIT_MQ_EXCHANGE, RABBIT_MQ_PASSWORD, RABBIT_MQ_USER, user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQSender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RabbitMQSender` | `configure(Serializer eventDeserializer)` Configures this sender with the given `Serializer`
    `boolean` | `send(Event event)` Sends the given `Event`

    - ### Methods inherited from class org.appng.core.controller.messaging.RabbitMQBase

      `close, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RabbitMQSender

          public RabbitMQSender()

  - ### Method Detail

    - #### configure

          public RabbitMQSender configure(Serializer eventDeserializer)

      Description copied from interface: `Sender`
      Configures this sender with the given `Serializer`
      Specified by:
        `configure` in interface `Sender`
      Parameters:
        `eventDeserializer` - the `Serializer` to use
      Returns:
        the sender

    - #### send

          public boolean send(Event event)

      Description copied from interface: `Sender`
      Sends the given `Event`
      Specified by:
        `send` in interface `Sender`
      Parameters:
        `event` - the `Event` so send
      Returns:
        whether or not sending the event was successful

Copyright © 2011–2023 aiticon GmbH. All rights reserved.